%global _description \
Whoosh is a fast, featureful full-text indexing and searching library \
implemented in pure Python.Users can use it easily to add search \
functionality to their applications and websites.

Name:           python-whoosh
Version:        2.7.4
Release:        13
Summary:        A fast, featureful full-text indexing and searching library implemented in pure Python
License:        BSD
URL:            https://whoosh.readthedocs.io/en/latest/
Source0:        https://pypi.python.org/packages/source/W/Whoosh/Whoosh-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python2-setuptools python2-pytest python-sphinx
BuildRequires:  python3-devel python3-setuptools python3-pytest

%description %_description

%package -n python2-whoosh
Summary:    For Python2 full text indexing, search, and spell checking library
%{?python_provide:%python_provide python2-whoosh}

%description -n python2-whoosh %_description

%package -n python3-whoosh
Summary:    For Python3 full text indexing, search, and spell checking library
%{?python_provide:%python_provide python3-whoosh}

%description -n python3-whoosh %_description

%prep
%autosetup -n Whoosh-%{version} -p1

%build
%py2_build

sphinx-build docs/source docs/html
rm -rf docs/html/.buildinfo docs/html/.doctrees

%py3_build
rm -rf docs/html/.buildinfo docs/html/.doctrees

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-whoosh
%doc README.txt LICENSE.txt docs/html/
%{python2_sitelib}/*.egg-info/
%{python2_sitelib}/whoosh

%files -n python3-whoosh
%doc README.txt LICENSE.txt docs/html/
%{python3_sitelib}/whoosh
%{python3_sitelib}/*.egg-info/

%changelog
* Fri Nov 15 2019 sunguoshuai <sunguoshuai@huawei.com> - 2.7.4-13
- Package init
